<template>
    <div id="user-card">
        <div>{{ props.email }}</div>
        <el-image :key="key" id="user-card-image" :src="'/uploads/min/' + props.email" fit="fill" />
    </div>
</template>
<script lang="ts" setup>
import { ref, getCurrentInstance  } from 'vue';
import useEmitter from '../composables/useEmitter';

interface Props {
    email: string
}
const props = defineProps<Props>();
const emitter = useEmitter();

const key = ref(0);

const forceRerender = () => {
  key.value += 1;
};

emitter.on('upload', ()=>{     
 forceRerender();
    // instance.proxy.forceUpdate();
})

</script>
<style scoped lang="scss">
#user-card {
    display: flex;
    flex-direction: row;

    .el-image {
        top: -24px;
        padding: 10px;
    }


}
</style>